<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/task.css">
</head>

<body>

    <!--- NAVBAR-SIDEBAR ---->

    <div id="wrapper">
        <div id="loader">
            <div class="loader"></div>
        </div>
        <div class="container-fluid">
            <div class="row p-2">
                <nav class="col-md-2 sidebar" id="sidebar">
                    <img id="dekstop-brand" width="40%" src="assets/img/logoth.png">
                    <div class="search-box" id="navbar-search">
                        <input type="text" class="form-control" placeholder="Search...">
                    </div>
                    <ul class="list-unstyled" id="navbar-list">
                        <li>
                            <a href="index.html">
                                <img src="assets/img/dashboard.png" id="icon-nav" alt=""> Dashboard
                            </a>
                        </li>
                        <li>
                            <a href="task.html">
                                <img src="assets/img/task.png" id="icon-nav" alt=""> Tasks
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <img src="assets/img/project.png" id="icon-nav" alt=""> Projekte
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <img src="assets/img/Profile.png" id="icon-nav" alt=""> Users
                            </a>
                        </li>
                        <!--
                        <li>
                            <a href="#">
                                <img src="assets/img/settings.png" id="icon-nav" alt=""> Settings
                            </a>
                        </li>-->
                    </ul>
                    <img id="navbar-mobile-logo" src="assets/img/logoth.png">
                    <ul class="list-unstyled" id="navbar-list-mobile">
                        <li>
                            <a href="index.html">
                                <img src="assets/img/dashboard.png" id="icon-nav" alt="">
                            </a>
                        </li>
                        <li>
                            <a href="task.html">
                                <img src="assets/img/task.png" id="icon-nav" alt="">
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <img src="assets/img/project.png" id="icon-nav" alt="">
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <img src="assets/img/Profile.png" id="icon-nav" alt="">
                            </a>
                        </li>
                        <!--
                        <li>
                            <a href="#">
                                <img src="assets/img/settings.png" id="icon-nav" alt="">
                            </a>
                        </li>-->
                    </ul>
                </nav>


                <!-- MAIN-CONTENT -->


                <main class="col-md-10 content">
                    <button type="button" class="btn btn-dark" id="sidebar-btn">--></button>
                    <br>
                    <br>
                    <h2>Task Manager:</h2>

                    <!--- STATUS-CARDS ---->

                    <div class="container mt-4">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-body">
                                        <p class="card-title">
                                            <img src="assets/img/completed.png" width="10%" alt=""> Completed Task
                                        </p>
                                        <h4 class="card-text" id="count-deleted">0</h4>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-body">
                                        <p class="card-title">
                                            <img src="assets/img/opentask.png" width="10%" alt=""> Open Tasks
                                        </p>
                                        <h4 id="count" class="card-text">0</h4>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-body">
                                        <p class="card-title">
                                            <img src="assets/img/categories.png" width="10%" alt=""> Pending Tasks
                                        </p>
                                        <h4 class="card-text" id="count-categorie">0</h4>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-body">
                                        <p class="card-title">
                                            <img src="assets/img/watch.png" width="10%" alt="" > <span id="time-app">Time in App</span>
                                        </p>
                                        <div id="display">00:00:00</div>
                                        <a href="#" class="btn btn-danger" id="startStopBtn">Start</a>
                                        <a href="#" id="resetBtn" class="btn btn-success">Reset</a>
                                        <!--<h4 class="card-text">32.4h</h4>-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!--- NEWEST_TASK_LIST --->

                    <div class="container mt-4">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card" id="card-bg-task">
                                    <div class="card-body p-4">
                                        <h5 class="card-title">Newest Task:</h5>
                                        <!-- <img src="assets/img/loader.gif" id="loader" style="display: none;" alt="">
                                        <button class="btn btn-all-tasks ml-auto">See Tasks</button>-->
                                        <p class="card-text"></p>
                                        <ul class="list-unstyled" id="list-task">
                                        </ul>
                                    </div>
                                </div>
                            </div>


                            <!--- ADD-TASK / EDIT-TASK  ---->

                            <div class="col-md-6">
                                <div class="card" id="card-bg-task">
                                    <div class="card-body" id="card-bg-task-info">
                                        <h5 class="card-title">Add new Task:</h5>
                                        <form id="add-task-card">
                                            <div class="mb-3">
                                                <div class="form-group">
                                                    <label class="form-label">New Task</label>
                                                    <input type="text" class="form-control" id="newTask"
                                                        placeholder="Task hinzufügen ...">
                                                </div>
                                                <div class="mb-3">
                                                    <label class="form-label">Category</label><br>
                                                    <select id="select-category" class="form-control">
                                                        <option>Kein Eintrag ...</option>
                                                    </select>
                                                </div>
                                                <div class="mb-3">
                                                    <label class="form-label">Status</label><br>
                                                    <select id="select-status" class="form-control">
                                                        <option>Kein Eintrag ...</option>
                                                    </select>
                                                </div>
                                                <br>
                                                <button id="btn-add-task" class="btn btn-primary">Submit</button>
                                        </form>
                                        <div id="status-task"></div>
                                    </div>
                                </div>

                                <!--- UPDATE-TASK ---->

                                <div class="card-body" id="card-task-info">
                                    <h5 class="card-title">Edit Task:</h5>
                                    <span id="close-btn" class="close">&times;</span>
                                    <form>
                                        <div class="mb-3">
                                            <label class="form-label">Task ändern</label>
                                            <input type="text" class="form-control" id="updateTask"
                                                placeholder="Neuer Name">
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label">Kategorie ändern</label>
                                            <select id="info-select-category" class="form-select">
                                                <option>Kein Eintrag ...</option>
                                            </select>
                                        </div>
                                        <!--
                                        <div class="mb-3">
                                            <label class="form-label">Kommentar:</label>
                                            <input type="text" class="form-control" id="comment">
                                        </div>-->
                                        <div class="mb-3">
                                            <label class="form-label">Status</label><br>
                                            <select id="info-select-status" class="form-control">
                                            </select>
                                        </div>
                                        <!--
                                        <div id="show-all-comments">Hier Clicken um alle Kommentare zu sehen</div>-->
                                        <br>
                                        <button id="btn-update-task" type="button"
                                            class="btn btn-primary">Aktualisieren</button>
                                        <button id="btn-finish-task" class="btn btn-success">Completed</button>
                                    </form>
                                    <div id="status-task"></div>
                                </div>
                            </div>
                        </div>
                    </div>


                    <!--- ALL_TASKS_CARD ---->


                    <div class="container-fluid mt-4">
                        <div class="text">
                            <h4>All Tasks:</h4>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card" id="editTask">
                                    <div class="card-body text-center p-4">
                                        <div class="container">
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <p>Task</p>
                                                </div>
                                                <div class="col-md-4">
                                                    <p>Category</p>
                                                </div>
                                                <div class="col-md-4">
                                                    <p>Status</p>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="liste-task">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <ul class="list-group" id="list-task-second">
                                                        </ul>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <ul class="list-group" id="list-task-category">
                                                        </ul>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <ul class="list-group" id="list-task-status">
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
      

                    <!--- MODAL ---->

                    <div id="myModal" class="modal">
                        <div class="modal-content">
                            <span id="close-btn" class="close">&times;</span>
                            <div id="task-text"></div>
                            <div class="status">
                                <form>
                                    <div class="mb-3">
                                        <label class="form-label">Task ändern</label>
                                        <input type="text" class="form-control" id="updateTask"
                                            placeholder="Neuer Name">
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label">Kategorie ändern</label>
                                        <select id="modal-select-category" class="form-select">

                                        </select>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label">Kommentar:</label>
                                        <input type="text" class="form-control" id="comment">
                                        </textarea>
                                    </div>
                                    <div class="timer">
                                        <div id="showTimeModal">00:00:00</div>
                                        <button id="startStopBtn" type="button">Start</button>
                                    </div>
                                    <br>
                                    <button id="btn-update-task" type="button"
                                        class="btn btn-primary">Aktualisieren</button>
                                    <button id="btn-delete-task" class="btn btn-danger">delete</button>
                                </form>
                            </div>
                        </div>
                    </div>

                    <!--- MODAL_COMMENT ---->
                    <div id="commentModal" class="modal">
                        <div class="modal-content">
                            <span id="comment-close-btn" class="close">&times;</span>
                            <h2>Kommentare</h2>
                            <div class="comments-section">
                                <ul class="list-group" id="commentList"></ul>
                            </div>
                            <br><br>
                            <form action="">
                                <input type="text" class="form-control" id="comment">
                                <!-- <textarea id="comment" placeholder="Schreibe einen Kommentar..."></textarea>-->
                                <button type="button" id="addCommentBtn">Kommentar hinzufügen</button>
                            </form>
                        </div>
                    </div>
                </main>
            </div>

            <script src="assets/js/timer.js"></script>
            <script src="assets/js/taskPage.js"></script>
            <script src="assets/js/pluggins.js"></script>
            <!-- <script src="assets/js/sidebar.js"></script>-->
            <script src="assets/js/clickHandler.js"></script>


</body>

</html>